///////////////////////////////////////////////////////////////////////////////
// File		:	plugin.cpp
// Creator	:	Ashley Bennett
// Date		:	Saturday 10 September 2005
// Purpose	:	Starts and ends the plugin, displaying the window in Maya.
///////////////////////////////////////////////////////////////////////////////

//---INCLUDES---

#include <maya/MObject.h>
#include <maya/MStatus.h>
#include <maya/MFnPlugin.h>
#include <maya/MGlobal.h>
#include "GameExporterPlugin.h"

// emtry point
MStatus initializePlugin( MObject obj )
{
    MStatus   status;
    MFnPlugin pluginFn( obj, "Ashley Bennett", "6.0" );

    // register command with new syntax
    status = pluginFn.registerCommand("GameExporterPlugin", GameExporterPlugin::creator, GameExporterPlugin::newSyntax);

	MGlobal::executeCommand("source \"GameExporterPluginWin.mel\";GameExporterPluginWin;");

    return status;
}

// exit point
MStatus uninitializePlugin( MObject obj )
{
    MStatus   status;
    MFnPlugin pluginFn( obj );

    // deregister command
    status = pluginFn.deregisterCommand( "GameExporterPlugin" );

    return status;
}
